Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227074 - Review Request: jrexx-1.1.1-3jpp - Automaton based regluar expression API for Java
Summary: Review Request: jrexx-1.1.1-3jpp - Automaton based regluar expression API for...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:41 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-06 21:28:53 UTC
overholt: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
patch to fix remaining issues (deleted)
2007-02-13 16:13 UTC, Andrew Overholt
no flags Details

Description Rafael H. Schloming 2007-02-02 17:41:53 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jrexx-1.1.1-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jrexx-1.1.1-3jpp.src.rpm
Description: jrexx is a powerful easy-to-use regular expression
API for textual pattern matching. Technically jrexx
uses a minimized deterministic FSA (finite state
automaton) and compiles the textual representation
of the regular expression into such an automaton.
Besides the usual pattern matching functionality,
jrexx provides an introspection API for exploration
of the automaton's structure by 'states' and
'transitions'. Since the automaton is deterministic
and minimized the pattern matching alogorithm is
extremly fast (compared to the java regular
expression API in JDK1.4) and works with huge
patterns and input texts. Since FSA can be handled
as sets, jrexx also offers all basic set operations
for complement, union, intersection and difference,
which is not provided by other regex implementations
(as far as we know).

Javadoc for jrexx.

Comment 1 Kyu Lee 2007-02-12 21:43:43 UTC
Review comments:

* incorrect buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

* license text not included in package and marked with %doc

* rpmlint on <this package>.srpm gives some output

W: jrexx non-standard-group Development/Libraries/Java
E: jrexx unknown-key GPG#c431416d
W: jrexx setup-not-quiet

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Vendor tag should not be used

* some lines are > 80 characters

* does not use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS


Comment 2 Jeff Johnston 2007-02-12 22:34:05 UTC
Comments handled.  No license txt but license is specified on web-site.
There was no issue with changelog nor the macros.

http://www.vermillionskye.com/downloads/jrexx-1.1.1-3jpp.1.src.rpm
http://www.vermillionskye.com/downloads/jrexx.spec



Comment 3 Andrew Overholt 2007-02-13 16:13:34 UTC
Created attachment 147995 [details]
patch to fix remaining issues

Remove section free
Remove Distribution

Comment 4 Jeff Johnston 2007-02-13 16:36:21 UTC
Patch applied.  Also modified command line that was > 80 chars and modified
changelog entries to use @ symbol.

http://www.vermillionskye.com/downloads/jrexx-1.1.1-3jpp.1.src.rpm
http://www.vermillionskye.com/downloads/jrexx.spec

Comment 5 Andrew Overholt 2007-02-13 19:53:08 UTC
(In reply to comment #4)
> Patch applied.  Also modified command line that was > 80 chars and modified
> changelog entries to use @ symbol.
> 
> http://www.vermillionskye.com/downloads/jrexx-1.1.1-3jpp.1.src.rpm
> http://www.vermillionskye.com/downloads/jrexx.spec

If you change the email addresses back, I think I'll approve it :)

Comment 7 Andrew Overholt 2007-02-14 22:45:47 UTC
APPROVED

Thanks, Jeff!

Matt, I believe you're going to be the owner, right?  When you've built it, I'll
close this rawhide.

Comment 8 Jason Tibbitts 2007-06-21 23:37:24 UTC
Was someone going to make a CVS request and get this checked in?

Comment 9 Andrew Overholt 2007-06-22 13:38:56 UTC
Matt?

Comment 10 Matt Wringe 2007-06-22 14:01:29 UTC
This was one of the packages that we thought was needed for maven2, but we later
determined it wasn't required at this time. This package is no longer needed for
maven at this time, since it has been reviewed and passed, I am setting the cvs
request

Comment 11 Matt Wringe 2007-06-22 14:03:33 UTC
New Package CVS Request
=======================
Package Name: jrexx
Short Description: Automaton based regluar expression API for Java
Owners: mwringe@redhat.com
Branches: devel

Comment 12 Kevin Fenzi 2007-06-22 19:32:27 UTC
cvs done.

Comment 13 Matt Wringe 2007-07-06 21:28:53 UTC
Build into devel. Closing as NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.